﻿using System;

namespace LocalDb
{
    class Program
    {
        static void Main(string[] args)
        {
            #region ADO.NET
            Console.WriteLine("ADO.NET:");
            var caminhoBanco = System.IO.Path.Combine(System.IO.Directory.GetCurrentDirectory(), "BancoDeDados.mdf");
            var stringConexao = string.Format(@"Server=(localdb)\mssqllocaldb; Integrated Security=true; AttachDbFileName={0};", caminhoBanco);

            using (var conn = new System.Data.SqlClient.SqlConnection(stringConexao))
            {
                conn.Open();
                if (conn.State == System.Data.ConnectionState.Open)
                {
                    using (var comm = new System.Data.SqlClient.SqlCommand())
                    {
                        comm.Connection = conn;
                        comm.CommandText = "SELECT * FROM Pessoa";
                        using (var reader = comm.ExecuteReader())
                        {
                            while (reader.Read())
                            {
                                Console.WriteLine("ID: {0}, Nome: {1}, Sobrenome: {2}", reader["Id"], reader["Nome"], reader["Sobrenome"]);
                            }
                        }
                    }
                }
            }
            Console.ReadLine();
            #endregion

            #region EF
            Console.WriteLine("Entity Framework");
            var stringConexaoEF = @"Server=(localdb)\mssqllocaldb; Integrated Security=true; Initial Catalog=DemoLocalDb;";
            using (var contexto = new Contexto(stringConexaoEF))
            {
                foreach (var pessoa in contexto.Pessoas)
                {
                    contexto.Pessoas.Remove(pessoa);
                }
                contexto.SaveChanges();

                contexto.Pessoas.Add(new Pessoa() { Nome = "Andre", Sobrenome = "Alves de Lima" });
                contexto.Pessoas.Add(new Pessoa() { Nome = "Fulano", Sobrenome = "de Tal" });
                contexto.SaveChanges();
            }
            using (var contexto = new Contexto(stringConexaoEF))
            {
                foreach (var pessoa in contexto.Pessoas)
                {
                    Console.WriteLine("ID: {0}, Nome: {1}, Sobrenome: {2}", pessoa.Id, pessoa.Nome, pessoa.Sobrenome);
                }
            }
            Console.ReadLine();
            #endregion
        }
    }
}
